=== src/ui/Windows/CMakeLists.txt ===

list(APPEND PWSAFE_HDR_LIST
            src/ui/Windows/AboutDlg.h
            src/ui/Windows/AddEdit_Additional.h
            src/ui/Windows/AddEdit_Attachment.h
            src/ui/Windows/AddEdit_Basic.h
            src/ui/Windows/AddEdit_DateTimes.h
            src/ui/Windows/AddEdit_PasswordPolicy.h
            src/ui/Windows/AddEdit_PropertyPage.h
            src/ui/Windows/AddEdit_PropertySheet.h
            src/ui/Windows/AdvancedDlg.h
            src/ui/Windows/AdvancedValues.h
            src/ui/Windows/ClearQuestionDlg.h
            src/ui/Windows/ColumnChooserDlg.h
            src/ui/Windows/ColumnChooserLC.h
            src/ui/Windows/CompareResultsDlg.h
            src/ui/Windows/CompareWithSelectDlg.h
            src/ui/Windows/ConfirmDeleteDlg.h
            src/ui/Windows/ControlExtns.h
            src/ui/Windows/CoolMenu.h
            src/ui/Windows/CreateShortcutDlg.h
            src/ui/Windows/CryptKeyEntry.h
            src/ui/Windows/CWTreeCtrl.h
            src/ui/Windows/DboxMain.h
            src/ui/Windows/DDStatic.h
            src/ui/Windows/DDSupport.h
            src/ui/Windows/DisplayAuthCodeDlg.h
            src/ui/Windows/DisplayFSBkupFiles.h
            src/ui/Windows/DropSource.h
            src/ui/Windows/DropTarget.h
            src/ui/Windows/DumpSelect.h
            src/ui/Windows/EBListCtrl.h
            src/ui/Windows/EditShortcutDlg.h
            src/ui/Windows/EntryKBHotKey.h
            src/ui/Windows/ExcludeCaptureStateBitmapManager.h
            src/ui/Windows/ExpPswdLC.h
            src/ui/Windows/ExpPWListDlg.h
            src/ui/Windows/ExtThread.h
            src/ui/Windows/filter/FilterBaseDlg.h
            src/ui/Windows/filter/FilterBoolDlg.h
            src/ui/Windows/filter/FilterDateDlg.h
            src/ui/Windows/filter/FilterDCADlg.h
            src/ui/Windows/filter/FilterEntrySizeDlg.h
            src/ui/Windows/filter/FilterEntryStatusDlg.h
            src/ui/Windows/filter/FilterEntryTypeDlg.h
            src/ui/Windows/filter/FilterIntegerDlg.h
            src/ui/Windows/filter/FilterMediaTypeDlg.h
            src/ui/Windows/filter/FilterPasswordDlg.h
            src/ui/Windows/filter/FilterStringDlg.h
            src/ui/Windows/filter/ManageFiltersDlg.h
            src/ui/Windows/filter/PWFilterLC.h
            src/ui/Windows/filter/PWFiltersDlg.h
            src/ui/Windows/filter/SetAttachmentFiltersDlg.h
            src/ui/Windows/filter/SetFiltersDlg.h
            src/ui/Windows/filter/SetHistoryFiltersDlg.h
            src/ui/Windows/filter/SetPolicyFiltersDlg.h
            src/ui/Windows/Fonts.h
            src/ui/Windows/FontsDialog.h
            src/ui/Windows/GeneralMsgBox.h
            src/ui/Windows/GridListCtrl.h
            src/ui/Windows/HKModifiers.h
            src/ui/Windows/ImgStatic.h
            src/ui/Windows/ImportTextDlg.h
            src/ui/Windows/ImportXMLDlg.h
            src/ui/Windows/InfoDisplay.h
            src/ui/Windows/InputBox.h
            src/ui/Windows/InvokeGuiThreadSupport.h
            src/ui/Windows/LVHdrCtrl.h
            src/ui/Windows/ManagePSWDPols.h
            src/ui/Windows/MenuShortcuts.h
            src/ui/Windows/MenuTipper.h
            src/ui/Windows/MFCmessages.h
            src/ui/Windows/OptionsBackup.h
            src/ui/Windows/OptionsDisplay.h
            src/ui/Windows/OptionsMisc.h
            src/ui/Windows/OptionsPasswordHistory.h
            src/ui/Windows/OptionsSecurity.h
            src/ui/Windows/OptionsShortcuts.h
            src/ui/Windows/OptionsSystem.h
            src/ui/Windows/Options_PropertyPage.h
            src/ui/Windows/Options_PropertySheet.h
            src/ui/Windows/PasskeyChangeDlg.h
            src/ui/Windows/PasskeyEntry.h
            src/ui/Windows/PasskeySetup.h
            src/ui/Windows/PasswordPolicyDlg.h
            src/ui/Windows/PasswordSafe.h
            src/ui/Windows/PasswordSubsetDlg.h
            src/ui/Windows/PKBaseDlg.h
            src/ui/Windows/ProgressPieCommon.h
            src/ui/Windows/ProgressPieCtrl.h
            src/ui/Windows/ProgressPieStaticCtrl.h
            src/ui/Windows/Properties.h
            src/ui/Windows/PupText.h
            src/ui/Windows/PWDialog.h
            src/ui/Windows/PWFileDialog.h
            src/ui/Windows/PWFindToolBar.h
            src/ui/Windows/PWHdrCtrlNoChng.h
            src/ui/Windows/PWHistListCtrl.h
            src/ui/Windows/PWListCtrl.h
            src/ui/Windows/PWPListEntries.h
            src/ui/Windows/PWPropertyPage.h
            src/ui/Windows/PWPropertySheet.h
            src/ui/Windows/PWResizeDialog.h
            src/ui/Windows/PWSclipboard.h
            src/ui/Windows/PWSFaultHandler.h
            src/ui/Windows/PWSRecentFileList.h
            src/ui/Windows/PWStatusBar.h
            src/ui/Windows/PWSversion.h
            src/ui/Windows/PWToolBar.h
            src/ui/Windows/PWTouch.h
            src/ui/Windows/PWTreeCtrl.h
            src/ui/Windows/QuerySetDef.h
            src/ui/Windows/resource.h
            src/ui/Windows/resource2.h
            src/ui/Windows/resource3.h
            src/ui/Windows/RichEditCtrlExtn.h
            src/ui/Windows/SampleTextDlg.h
            src/ui/Windows/SCWListCtrl.h
            src/ui/Windows/ScreenCaptureStateControl.h
            src/ui/Windows/SecString.h
            src/ui/Windows/SetDBID.h
            src/ui/Windows/SHCTHotKey.h
            src/ui/Windows/SHCTListCtrl.h
            src/ui/Windows/Shortcut.h
            src/ui/Windows/ShowCompareDlg.h
            src/ui/Windows/SingleInstance.h
            src/ui/Windows/SMemFile.h
            src/ui/Windows/StateBitmapControl.h
            src/ui/Windows/StateBitmapManager.h
            src/ui/Windows/StdAfx.h
            src/ui/Windows/Subclass.h
            src/ui/Windows/SysColStatic.h
            src/ui/Windows/SystemTray.h
            src/ui/Windows/TBMStatic.h
            src/ui/Windows/ThisMfcApp.h
            src/ui/Windows/ViewReport.h
            src/ui/Windows/ViewAttachmentDlg.h
            src/ui/Windows/VirtualKeyboard/VKBButton.h
            src/ui/Windows/VirtualKeyboard/VKeyBoardDlg.h
            src/ui/Windows/VirtualKeyboard/VKresource.h
            src/ui/Windows/VirtualKeyboard/VKresource3.h
            src/ui/Windows/VirtualKeyboard/VKShiftState.h
            src/ui/Windows/Windowsdefs.h
            src/ui/Windows/winutils.h
            src/ui/Windows/WZAdvanced.h
            src/ui/Windows/WZExecuteThreadParms.h
            src/ui/Windows/WZFinish.h
            src/ui/Windows/WZPropertyPage.h
            src/ui/Windows/WZPropertySheet.h
            src/ui/Windows/WZSelectDB.h
    )


list(APPEND PWSAFE_SRC_LIST
            src/ui/Windows/AboutDlg.cpp
            src/ui/Windows/AddEdit_Additional.cpp
            src/ui/Windows/AddEdit_Attachment.cpp
            src/ui/Windows/AddEdit_Basic.cpp
            src/ui/Windows/AddEdit_DateTimes.cpp
            src/ui/Windows/AddEdit_PasswordPolicy.cpp
            src/ui/Windows/AddEdit_PropertyPage.cpp
            src/ui/Windows/AddEdit_PropertySheet.cpp
            src/ui/Windows/AdvancedDlg.cpp
            src/ui/Windows/ClearQuestionDlg.cpp
            src/ui/Windows/ColumnChooserDlg.cpp
            src/ui/Windows/ColumnChooserLC.cpp
            src/ui/Windows/CompareResultsDlg.cpp
            src/ui/Windows/CompareWithSelectDlg.cpp
            src/ui/Windows/ConfirmDeleteDlg.cpp
            src/ui/Windows/ControlExtns.cpp
            src/ui/Windows/CoolMenu.cpp
            src/ui/Windows/CreateShortcutDlg.cpp
            src/ui/Windows/CryptKeyEntry.cpp
            src/ui/Windows/CWTreeCtrl.cpp
            src/ui/Windows/DboxMain.cpp
            src/ui/Windows/DboxTray.cpp
            src/ui/Windows/DDStatic.cpp
            src/ui/Windows/DDSupport.cpp
            src/ui/Windows/DisplayAuthCodeDlg.cpp
            src/ui/Windows/DisplayFSBkupFiles.cpp
            src/ui/Windows/DropSource.cpp
            src/ui/Windows/DropTarget.cpp
            src/ui/Windows/DumpSelect.cpp
            src/ui/Windows/EBListCtrl.cpp
            src/ui/Windows/EditShortcutDlg.cpp
            src/ui/Windows/EntryKBHotKey.cpp
            src/ui/Windows/ExcludeCaptureStateBitmapManager.cpp
            src/ui/Windows/ExpPswdLC.cpp
            src/ui/Windows/ExpPWListDlg.cpp
            src/ui/Windows/ExtThread.cpp
            src/ui/Windows/filter/FilterBaseDlg.cpp
            src/ui/Windows/filter/FilterBoolDlg.cpp
            src/ui/Windows/filter/FilterDateDlg.cpp
            src/ui/Windows/filter/FilterDCADlg.cpp
            src/ui/Windows/filter/FilterEntrySizeDlg.cpp
            src/ui/Windows/filter/FilterEntryStatusDlg.cpp
            src/ui/Windows/filter/FilterEntryTypeDlg.cpp
            src/ui/Windows/filter/FilterIntegerDlg.cpp
            src/ui/Windows/filter/FilterMediaTypeDlg.cpp
            src/ui/Windows/filter/FilterPasswordDlg.cpp
            src/ui/Windows/filter/FilterStringDlg.cpp
            src/ui/Windows/filter/ManageFiltersDlg.cpp
            src/ui/Windows/filter/PWFilterLC.cpp
            src/ui/Windows/filter/PWFiltersDlg.cpp
            src/ui/Windows/filter/SetAttachmentFiltersDlg.cpp
            src/ui/Windows/filter/SetFiltersDlg.cpp
            src/ui/Windows/filter/SetHistoryFiltersDlg.cpp
            src/ui/Windows/filter/SetPolicyFiltersDlg.cpp
            src/ui/Windows/Fonts.cpp
            src/ui/Windows/FontsDialog.cpp
            src/ui/Windows/GeneralMsgBox.cpp
            src/ui/Windows/GridListCtrl.cpp
            src/ui/Windows/ImgStatic.cpp
            src/ui/Windows/ImportTextDlg.cpp
            src/ui/Windows/ImportXMLDlg.cpp
            src/ui/Windows/InfoDisplay.cpp
            src/ui/Windows/InputBox.cpp
            src/ui/Windows/LVHdrCtrl.cpp
            src/ui/Windows/main.cpp
            src/ui/Windows/MainEdit.cpp
            src/ui/Windows/MainFile.cpp
            src/ui/Windows/MainFilters.cpp
            src/ui/Windows/MainManage.cpp
            src/ui/Windows/MainMenu.cpp
            src/ui/Windows/MainView.cpp
            src/ui/Windows/ManagePSWDPols.cpp
            src/ui/Windows/MenuShortcuts.cpp
            src/ui/Windows/MenuTipper.cpp
            src/ui/Windows/OptionsBackup.cpp
            src/ui/Windows/OptionsDisplay.cpp
            src/ui/Windows/OptionsMisc.cpp
            src/ui/Windows/OptionsPasswordHistory.cpp
            src/ui/Windows/OptionsSecurity.cpp
            src/ui/Windows/OptionsShortcuts.cpp
            src/ui/Windows/OptionsSystem.cpp
            src/ui/Windows/Options_PropertyPage.cpp
            src/ui/Windows/Options_PropertySheet.cpp
            src/ui/Windows/PasskeyChangeDlg.cpp
            src/ui/Windows/PasskeyEntry.cpp
            src/ui/Windows/PasskeySetup.cpp
            src/ui/Windows/PasswordPolicyDlg.cpp
            src/ui/Windows/PasswordSubsetDlg.cpp
            src/ui/Windows/PKBaseDlg.cpp
            src/ui/Windows/ProgressPieCommon.cpp
            src/ui/Windows/ProgressPieCtrl.cpp
            src/ui/Windows/ProgressPieStaticCtrl.cpp
            src/ui/Windows/Properties.cpp
            src/ui/Windows/PupText.cpp
            src/ui/Windows/PWDialog.cpp
            src/ui/Windows/PWFileDialog.cpp
            src/ui/Windows/PWFindToolBar.cpp
            src/ui/Windows/PWHdrCtrlNoChng.cpp
            src/ui/Windows/PWHistListCtrl.cpp
            src/ui/Windows/PWListCtrl.cpp
            src/ui/Windows/PWPListEntries.cpp
            src/ui/Windows/PWPropertyPage.cpp
            src/ui/Windows/PWPropertySheet.cpp
            src/ui/Windows/PWResizeDialog.cpp
            src/ui/Windows/PWSclipboard.cpp
            src/ui/Windows/PWSFaultHandler.cpp
            src/ui/Windows/PWSRecentFileList.cpp
            src/ui/Windows/PWStatusBar.cpp
            src/ui/Windows/PWSversion.cpp
            src/ui/Windows/PWToolBar.cpp
            src/ui/Windows/PWTreeCtrl.cpp
            src/ui/Windows/QuerySetDef.cpp
            src/ui/Windows/RichEditCtrlExtn.cpp
            src/ui/Windows/SampleTextDlg.cpp
