=== install/arch/PKGBUILD ===
# PKGBUILD

pkgname=pwsafe
pkgver=1.19.1fp1
pkgrel=1
pkgdesc="PasswordSafe password manager"
arch=('x86_64')
url="https://github.com/pwsafe/pwsafe/archive/refs/tags"
license=('Artistic 2.0')
depends=('libxt' 'qrencode' 'wxwidgets-gtk3' 'xerces-c' 'yubikey-personalization')
makedepends=('cmake')
source=("$url/$pkgver.tar.gz")
sha256sums=('61fdddb7bf51c6f8d144fdf6421e87160143a9a4be7547598e76fb55047071db')

build() {
    cd "$srcdir/$pkgname-$pkgver"
    mkdir build
    cd build
    cmake -DCMAKE_INSTALL_PREFIX=/usr ..
    make
}

package() {
    cd "$srcdir/$pkgname-$pkgver/build"
    make DESTDIR="$pkgdir/" install
}
